Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005300OCamlOCamlbuild (the tool)public2011-06-22 19:202012-10-10 11:39
Reporterarj 
Assigned Toxclerc 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.13.0+dev 
Target VersionFixed in Version 
Summary0005300: Verbose parameter should implicitly set classic display
DescriptionWhen running

$ ocamlbuild -verbose 3 <target>

it is no more verbose than without the parameter "-verbose 3" as the interactive, non-classical view, is default.

One has to apply the switch "-classic-display" additionally to get the desired output.

$ ocamlbuild -verbose 3 -classic-display <target>

I would suggest setting -classic-display automatically when -verbose <n> is given.

Attached you see a suggestion for a patch.
TagsNo tags attached.
Attached Filespatch file icon 2011-06-22-Classic-display-on-verbose.patch [^] (590 bytes) 2011-06-22 19:20 [Show Content]

- Relationships

-  Notes
(0006027)
ygrek (reporter)
2011-06-27 09:17

It becomes verbose in _build/_log and it is fine and predictable behaviour imho.
(0008236)
xclerc (developer)
2012-10-10 11:39

Fixed in trunk (revision 13000) and 4.00 (revision 12999) branches.

- Issue History
Date Modified Username Field Change
2011-06-22 19:20 arj New Issue
2011-06-22 19:20 arj File Added: 2011-06-22-Classic-display-on-verbose.patch
2011-06-27 09:17 ygrek Note Added: 0006027
2011-06-27 09:37 xclerc Status new => assigned
2011-06-27 09:37 xclerc Assigned To => xclerc
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-07-10 14:01 doligez Severity minor => feature
2012-10-10 11:39 xclerc Note Added: 0008236
2012-10-10 11:39 xclerc Status assigned => resolved
2012-10-10 11:39 xclerc Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker